package com.zipcodewilmington.bankaccountlab;

public class BusinessAccount extends BankAccount{

    public BusinessAccount (String name, double amount){
        super(name, amount);
    }

    public double withDraw(double amountToWithdraw){
        if (amountToWithdraw > super.getAmount() || amountToWithdraw == super.getAmount()){
            System.out.println("You don't have enough money to withdraw");
            return getAmount();
        }
        double balance = super.getAmount() - amountToWithdraw;
        super.setAmount(balance);
        return  balance;
    }

    public String accountName(){
        return "business";
    }

}
